Page 1 of 4

Check_VMWARE_API Plugin not working

PostPosted: Sun Mar 10, 2019 10:14 am
by kwhogster
Trying this check

https://exchange.nagios.org/directory/P ... pi/details

root@tgcs017:/usr/local/nagios/libexec# ./check_vmware_api.pl -H MYHOST-8
Can't locate Monitoring/Plugin/Functions.pm in @INC (you may need to install the Monitoring::Plugin::Functions module) (@INC contains: /etc/perl /usr/local/lib/x86_64-linux-gnu/perl/5.22.1 /usr/local/share/perl/5.22.1 /usr/lib/x86_64-linux-gnu/perl5/5.22 /usr/share/perl5 /usr/lib/x86_64-linux-gnu/perl/5.22 /usr/share/perl/5.22 /usr/local/lib/site_perl /usr/lib/x86_64-linux-gnu/perl-base .) at ./check_vmware_api.pl line 39.
BEGIN failed--compilation aborted at ./check_vmware_api.pl line 39.

I ran this
sudo apt-get install libxml-libxml-perl

No change

Any ideas?

Thank you

Tom

Re: Check_VMWARE_API Plugin not working

PostPosted: Mon Mar 11, 2019 12:33 pm
by npolovenko
@kwhogster, There are more prerequisites to be installed for this plugin to work. Please check out instructions at the bottom of this page:
https://github.com/op5/check_vmware_api

PS: The latest SDK is 6.7 but I highly recommend going with 6.5 instead.

Re: Check_VMWARE_API Plugin not working

PostPosted: Mon Mar 11, 2019 7:17 pm
by kwhogster
Thanks for the link but I am running Ubuntu 16.04.1 LTS

root@tgcs017:/usr/local/nagios/libexec# sudo apt-get install openssl-devel perl-ibXML perl-MIME-Lite perl-MIME-Types perl-MailTools perl-TimeDate uuid libuuid pect perl-Test-Simple perl-Monitoring-Plugin perl-Class-Accessor perl-Config-Tiny
Reading package lists... Done
Building dependency tree
Reading state information... Done
E: Unable to locate package openssl-devel
E: Unable to locate package perl-Archive-Zip
E: Unable to locate package perl-Class-MethodMaker
E: Unable to locate package uuid-perl
E: Unable to locate package perl-SOAP-Lite
E: Unable to locate package perl-XML-SAX
E: Unable to locate package perl-XML-NamespaceSupport
E: Unable to locate package perl-XML-LibXML
E: Unable to locate package perl-MIME-Lite
E: Unable to locate package perl-MIME-Types
E: Unable to locate package perl-MailTools
E: Unable to locate package perl-TimeDate
E: Unable to locate package libuuid
E: Unable to locate package perl-Data-Dump
E: Unable to locate package perl-uuid
E: Unable to locate package libuuid
E: Unable to locate package perl-Data-Dump
E: Unable to locate package perl-UUID
E: Unable to locate package cpan
E: Unable to locate package libxml2-devel
E: Unable to locate package perl-libwww-perl
E: Unable to locate package perl-Test-MockObject
E: Unable to locate package perl-Test-Simple
E: Unable to locate package perl-Monitoring-Plugin
E: Unable to locate package perl-Class-Accessor
E: Unable to locate package perl-Config-Tiny
root@tgcs017:/usr/local/nagios/libexec#



Any ideas?

Re: Check_VMWARE_API Plugin not working

PostPosted: Tue Mar 12, 2019 11:10 am
by lmiltchev
Can you run "apt-get update" successfully on this machine? Did you make sure that there is nothing wrong with your sources? I just ran the command below on Ubuntu 16.04 and I was able to install ALL packages...
Code: Select all
apt-get install -y libxml-libxml-perl libxml2-dev xml2 uuid-dev perl-doc rpm libsoap-lite-perl

Re: Check_VMWARE_API Plugin not working

PostPosted: Tue Mar 12, 2019 6:24 pm
by kwhogster
Ok I can run apt-get update successfully

apt-get install -y libxml-libxml-perl libxml2-dev xml2 uuid-dev perl-doc rpm libsoap-lite-perl
ran above successfully

Then went to install
root@tgcs017:~# cd vmware-vsphere-cli-distrib/
root@tgcs017:~/vmware-vsphere-cli-distrib# export ftp_proxy=
root@tgcs017:~/vmware-vsphere-cli-distrib# export http_proxy=
root@tgcs017:~/vmware-vsphere-cli-distrib# ./vmware-install.pl

Do you accept? (yes/no) yes

Thank you.

Please wait while configuring CPAN ...

Can't locate Module/Build.pm in @INC (you may need to install the Module::Build module) (@INC contains: /etc/perl /usr/local/lib/x86_64-linux-gnu/perl/5.22.1 /u sr/local/share/perl/5.22.1 /usr/lib/x86_64-linux-gnu/perl5/5.22 /usr/share/perl5 /usr/lib/x86_64-linux-gnu/perl/5.22 /usr/share/perl/5.22 /usr/local/lib/site_pe rl /usr/lib/x86_64-linux-gnu/perl-base .).
BEGIN failed--compilation aborted.
Below mentioned modules with their version needed to be installed,
these modules are available in your system but vCLI need specific
version to run properly

Module: ExtUtils::MakeMaker, Version: 6.96
Module: Module::Build, Version: 0.4205
Module: Net::FTP, Version: 2.77
Module: LWP::Protocol::https, Version: 6.04
Do you want to continue? (yes/no)

I selected yes anyway and it is just sitting there for a long time not and not moving

Update It just took awhile it finished

In which directory do you want to install the executable files?
[/usr/bin]
Please wait while copying vSphere CLI files...

The installation of vSphere CLI 6.5.0 build-4566394 for Linux completed
successfully. You can decide to remove this software from your system at any
time by invoking the following command:
"/usr/bin/vmware-uninstall-vSphere-CLI.pl".

This installer has successfully installed both vSphere CLI and the vSphere SDK
for Perl.

Enjoy,

--the VMware team

After all that still get the same error

root@tgcs017:/usr/local/nagios/libexec# ./check_vmware_api.pl -H myhost-8
Can't locate Monitoring/Plugin/Functions.pm in @INC (you may need to install the Monitoring::Plugin::Functions module) (@INC contains: /etc/perl /usr/local/lib/x86_64-linux-gnu/perl/5.22.1 /usr/local/share/perl/5.22.1 /usr/lib/x86_64-linux-gnu/perl5/5.22 /usr/share/perl5 /usr/lib/x86_64-linux-gnu/perl/5.22 /usr/share/perl/5.22 /usr/local/lib/site_perl /usr/lib/x86_64-linux-gnu/perl-base .) at ./check_vmware_api.pl line 39.
BEGIN failed--compilation aborted at ./check_vmware_api.pl line 39.

Re: Check_VMWARE_API Plugin not working

PostPosted: Wed Mar 13, 2019 7:27 am
by kwhogster
Update

I found this

Ubuntu 16.04 64-bit



1

Connect to theInternet.


2

Update the localrepository of libraries from a terminal window.
sudo apt-get update


3

Install the requiredlibraries from a terminal window.
sudo apt-get install lib32z1 lib32ncurses5 build-essential uuid uuid-dev libssl-dev perl-doc libxml-libxml-perl libcrypt-ssleay-perl libsoap-lite-perl libmodule-build-perl


For Ubuntu 16.04 64-bit,the resxtop and ESXCLIcommands do not work if you do not install the 32-bit compatibility libraries.

This came from the documentation of VMware sdk

That ran successfully

Then I reran the VMware sdk installer and this time it ran thru with no issues

But the plugin still fails with same error

root@tgcs017:/usr/local/nagios/libexec# ./check_vmware_api.pl -H myhost-8
Can't locate Monitoring/Plugin/Functions.pm in @INC (you may need to install the Monitoring::Plugin::Functions module) (@INC contains: /etc/perl /usr/local/lib/x86_64-linux-gnu/perl/5.22.1 /usr/local/share/perl/5.22.1 /usr/lib/x86_64-linux-gnu/perl5/5.22 /usr/share/perl5 /usr/lib/x86_64-linux-gnu/perl/5.22 /usr/share/perl/5.22 /usr/local/lib/site_perl /usr/lib/x86_64-linux-gnu/perl-base .) at ./check_vmware_api.pl line 39.
BEGIN failed--compilation aborted at ./check_vmware_api.pl line 39.
root@tgcs017:/usr/local/nagios/libexec#


Whats missing here?

Re: Check_VMWARE_API Plugin not working

PostPosted: Wed Mar 13, 2019 9:02 am
by lmiltchev
I believe you are missing the Nagios::Monitoring::Plugin module. Try installing it via cpan by running:
Code: Select all
cpan -i Nagios::Monitoring::Plugin

then try running the "check_vmware_api.pl" plugin again. Did this solve the issue?

Re: Check_VMWARE_API Plugin not working

PostPosted: Wed Mar 13, 2019 11:38 am
by kwhogster
The cpan command ran successfully
But the pluggin still fails do I need to restart ?

root@tgcs017:/usr/local/nagios/libexec# cpan -i Nagios::Monitoring::Plugin
Loading internal null logger. Install Log::Log4perl for logging messages
Reading '/root/.cpan/Metadata'
Database was generated on Tue, 12 Mar 2019 22:17:03 GMT
Running install for module 'Nagios::Monitoring::Plugin'
Fetching with LWP:
http://www.cpan.org/authors/id/N/NA/NAG ... .51.tar.gz
Fetching with LWP:
http://www.cpan.org/authors/id/N/NA/NAGIOS/CHECKSUMS
Checksum for /root/.cpan/sources/authors/id/N/NA/NAGIOS/Nagios-Monitoring-Plugin-0.51.tar.gz ok
'YAML' not installed, will not store persistent state
Configuring N/NA/NAGIOS/Nagios-Monitoring-Plugin-0.51.tar.gz with Makefile.PL
Checking if your kit is complete...
Looks good
Warning: prerequisite Class::Accessor 0 not found.
Warning: prerequisite Config::Tiny 0 not found.
Warning: prerequisite Math::Calc::Units 0 not found.
WARNING: ABSTRACT contains control character(s), they will be removed
Generating a Unix-style Makefile
Writing Makefile for Nagios::Monitoring::Plugin
Writing MYMETA.yml and MYMETA.json
NAGIOS/Nagios-Monitoring-Plugin-0.51.tar.gz
/usr/bin/perl Makefile.PL INSTALLDIRS=site -- OK
Running make for N/NA/NAGIOS/Nagios-Monitoring-Plugin-0.51.tar.gz
---- Unsatisfied dependencies detected during ----
---- NAGIOS/Nagios-Monitoring-Plugin-0.51.tar.gz ----
Class::Accessor [requires]
Math::Calc::Units [requires]
Config::Tiny [requires]
Running install for module 'Class::Accessor'
Fetching with LWP:
http://www.cpan.org/authors/id/K/KA/KAS ... .51.tar.gz
Fetching with LWP:
http://www.cpan.org/authors/id/K/KA/KASEI/CHECKSUMS
Checksum for /root/.cpan/sources/authors/id/K/KA/KASEI/Class-Accessor-0.51.tar.gz ok
Configuring K/KA/KASEI/Class-Accessor-0.51.tar.gz with Makefile.PL
Checking if your kit is complete...
Looks good
Generating a Unix-style Makefile
Writing Makefile for Class::Accessor
Writing MYMETA.yml and MYMETA.json
KASEI/Class-Accessor-0.51.tar.gz
/usr/bin/perl Makefile.PL INSTALLDIRS=site -- OK
Running make for K/KA/KASEI/Class-Accessor-0.51.tar.gz
cp lib/Class/Accessor/Faster.pm blib/lib/Class/Accessor/Faster.pm
cp lib/Class/Accessor.pm blib/lib/Class/Accessor.pm
cp lib/Class/Accessor/Fast.pm blib/lib/Class/Accessor/Fast.pm
Manifying blib/man3/Class::Accessor.3pm
Manifying blib/man3/Class::Accessor::Fast.3pm
Manifying blib/man3/Class::Accessor::Faster.3pm
KASEI/Class-Accessor-0.51.tar.gz
/usr/bin/make -- OK
Running make test
PERL_DL_NONLAZY=1 /usr/bin/perl "-MExtUtils::Command::MM" "-MTest::Harness" "-e" "undef *Test::Harness::Switches; test_harness(0, 'blib/lib', 'blib/arch')" t/*.t
t/accessors.t ..... ok
t/aliases.t ....... ok
t/antlers.t ....... ok
t/bestpractice.t .. ok
t/caller.t ........ ok
t/croak.t ......... ok
t/getset.t ........ ok
All tests successful.
Files=7, Tests=139, 1 wallclock secs ( 0.15 usr 0.08 sys + 0.42 cusr 0.06 csys = 0.71 CPU)
Result: PASS
KASEI/Class-Accessor-0.51.tar.gz
/usr/bin/make test -- OK
Running make install
Installing /usr/local/share/perl/5.22.1/Class/Accessor.pm
Installing /usr/local/share/perl/5.22.1/Class/Accessor/Faster.pm
Installing /usr/local/share/perl/5.22.1/Class/Accessor/Fast.pm
Installing /usr/local/man/man3/Class::Accessor.3pm
Installing /usr/local/man/man3/Class::Accessor::Fast.3pm
Installing /usr/local/man/man3/Class::Accessor::Faster.3pm
Appending installation info to /usr/lib/x86_64-linux-gnu/perl/5.22/perllocal.pod
KASEI/Class-Accessor-0.51.tar.gz
/usr/bin/make install -- OK
Running install for module 'Math::Calc::Units'
Fetching with LWP:
http://www.cpan.org/authors/id/S/SF/SFI ... .07.tar.gz
Fetching with LWP:
http://www.cpan.org/authors/id/S/SF/SFINK/CHECKSUMS
Checksum for /root/.cpan/sources/authors/id/S/SF/SFINK/Math-Calc-Units-1.07.tar.gz ok
Configuring S/SF/SFINK/Math-Calc-Units-1.07.tar.gz with Makefile.PL
Checking if your kit is complete...
Looks good
Generating a Unix-style Makefile
Writing Makefile for Math::Calc::Units
Writing MYMETA.yml and MYMETA.json
SFINK/Math-Calc-Units-1.07.tar.gz
/usr/bin/perl Makefile.PL INSTALLDIRS=site -- OK
Running make for S/SF/SFINK/Math-Calc-Units-1.07.tar.gz
cp Units/Convert/Byte.pm blib/lib/Math/Calc/Units/Convert/Byte.pm
cp Units/Compute.pm blib/lib/Math/Calc/Units/Compute.pm
cp Units/Convert/Time.pm blib/lib/Math/Calc/Units/Convert/Time.pm
cp Units/Convert/Date.pm blib/lib/Math/Calc/Units/Convert/Date.pm
cp Units/Convert/Metric.pm blib/lib/Math/Calc/Units/Convert/Metric.pm
cp Units/Convert/Base.pm blib/lib/Math/Calc/Units/Convert/Base.pm
cp Units/Grammar.pm blib/lib/Math/Calc/Units/Grammar.pm
cp Units/Rank.pm blib/lib/Math/Calc/Units/Rank.pm
cp Units/Convert/Combo.pm blib/lib/Math/Calc/Units/Convert/Combo.pm
cp Units/Convert/Base2Metric.pm blib/lib/Math/Calc/Units/Convert/Base2Metric.pm
cp Units/Convert.pm blib/lib/Math/Calc/Units/Convert.pm
cp Units.pm blib/lib/Math/Calc/Units.pm
cp Units/Convert/Distance.pm blib/lib/Math/Calc/Units/Convert/Distance.pm
cp Units/Grammar.y blib/lib/Math/Calc/Units/Grammar.y
cp Units/Convert/Multi.pm blib/lib/Math/Calc/Units/Convert/Multi.pm
cp script/ucalc blib/script/ucalc
/usr/bin/perl -MExtUtils::MY -e 'MY->fixin(shift)' -- blib/script/ucalc
Manifying blib/man3/Math::Calc::Units.3pm
SFINK/Math-Calc-Units-1.07.tar.gz
/usr/bin/make -- OK
Running make test
PERL_DL_NONLAZY=1 /usr/bin/perl "-MExtUtils::Command::MM" "-MTest::Harness" "-e" "undef *Test::Harness::Switches; test_harness(0, 'blib/lib', 'blib/arch')" t/*.t
t/main.t .. ok
t/pod.t ... skipped: Test::Pod 1.00 required for testing POD
All tests successful.
Files=2, Tests=64, 0 wallclock secs ( 0.07 usr 0.03 sys + 0.22 cusr 0.01 csys = 0.33 CPU)
Result: PASS
SFINK/Math-Calc-Units-1.07.tar.gz
/usr/bin/make test -- OK
Running make install
Installing /usr/local/share/perl/5.22.1/Math/Calc/Units.pm
Installing /usr/local/share/perl/5.22.1/Math/Calc/Units/Compute.pm
Installing /usr/local/share/perl/5.22.1/Math/Calc/Units/Grammar.y
Installing /usr/local/share/perl/5.22.1/Math/Calc/Units/Grammar.pm
Installing /usr/local/share/perl/5.22.1/Math/Calc/Units/Rank.pm
Installing /usr/local/share/perl/5.22.1/Math/Calc/Units/Convert.pm
Installing /usr/local/share/perl/5.22.1/Math/Calc/Units/Convert/Combo.pm
Installing /usr/local/share/perl/5.22.1/Math/Calc/Units/Convert/Time.pm
Installing /usr/local/share/perl/5.22.1/Math/Calc/Units/Convert/Base2Metric.pm
Installing /usr/local/share/perl/5.22.1/Math/Calc/Units/Convert/Date.pm
Installing /usr/local/share/perl/5.22.1/Math/Calc/Units/Convert/Byte.pm
Installing /usr/local/share/perl/5.22.1/Math/Calc/Units/Convert/Base.pm
Installing /usr/local/share/perl/5.22.1/Math/Calc/Units/Convert/Multi.pm
Installing /usr/local/share/perl/5.22.1/Math/Calc/Units/Convert/Distance.pm
Installing /usr/local/share/perl/5.22.1/Math/Calc/Units/Convert/Metric.pm
Installing /usr/local/man/man3/Math::Calc::Units.3pm
Installing /usr/local/bin/ucalc
Appending installation info to /usr/lib/x86_64-linux-gnu/perl/5.22/perllocal.pod
SFINK/Math-Calc-Units-1.07.tar.gz
/usr/bin/make install -- OK
Running install for module 'Config::Tiny'
Fetching with LWP:
http://www.cpan.org/authors/id/R/RS/RSA ... y-2.23.tgz
Fetching with LWP:
http://www.cpan.org/authors/id/R/RS/RSAVAGE/CHECKSUMS
Checksum for /root/.cpan/sources/authors/id/R/RS/RSAVAGE/Config-Tiny-2.23.tgz ok
Configuring R/RS/RSAVAGE/Config-Tiny-2.23.tgz with Makefile.PL
Checking if your kit is complete...
Looks good
Generating a Unix-style Makefile
Writing Makefile for Config::Tiny
Writing MYMETA.yml and MYMETA.json
RSAVAGE/Config-Tiny-2.23.tgz
/usr/bin/perl Makefile.PL INSTALLDIRS=site -- OK
Running make for R/RS/RSAVAGE/Config-Tiny-2.23.tgz
cp lib/Config/Tiny.pm blib/lib/Config/Tiny.pm
Manifying blib/man3/Config::Tiny.3pm
RSAVAGE/Config-Tiny-2.23.tgz
/usr/bin/make -- OK
Running make test
PERL_DL_NONLAZY=1 /usr/bin/perl "-MExtUtils::Command::MM" "-MTest::Harness" "-e" "undef *Test::Harness::Switches; test_harness(0, 'blib/lib', 'blib/arch')" t/*.t
t/01.compile.t ...... ok
t/02.main.t ......... ok
t/03.read.string.t .. ok
t/04.utf8.t ......... ok
t/05.zero.t ......... ok
All tests successful.
Files=5, Tests=49, 1 wallclock secs ( 0.11 usr 0.02 sys + 0.51 cusr 0.10 csys = 0.74 CPU)
Result: PASS
RSAVAGE/Config-Tiny-2.23.tgz
/usr/bin/make test -- OK
Running make install
Installing /usr/local/share/perl/5.22.1/Config/Tiny.pm
Installing /usr/local/man/man3/Config::Tiny.3pm
Appending installation info to /usr/lib/x86_64-linux-gnu/perl/5.22/perllocal.pod
RSAVAGE/Config-Tiny-2.23.tgz
/usr/bin/make install -- OK
NAGIOS/Nagios-Monitoring-Plugin-0.51.tar.gz
Has already been unwrapped into directory /root/.cpan/build/Nagios-Monitoring-Plugin-0.51-ptOzAs
NAGIOS/Nagios-Monitoring-Plugin-0.51.tar.gz
Has already been prepared
Running make for N/NA/NAGIOS/Nagios-Monitoring-Plugin-0.51.tar.gz
cp lib/Nagios/Monitoring/Plugin/Config.pm blib/lib/Nagios/Monitoring/Plugin/Config.pm
cp lib/Nagios/Monitoring/Plugin/Getopt.pm blib/lib/Nagios/Monitoring/Plugin/Getopt.pm
cp lib/Nagios/Monitoring/Plugin/Functions.pm blib/lib/Nagios/Monitoring/Plugin/Functions.pm
cp lib/Nagios/Monitoring/Plugin.pm blib/lib/Nagios/Monitoring/Plugin.pm
cp lib/Nagios/Monitoring/Plugin/Threshold.pm blib/lib/Nagios/Monitoring/Plugin/Threshold.pm
cp lib/Nagios/Monitoring/Plugin/Range.pm blib/lib/Nagios/Monitoring/Plugin/Range.pm
cp lib/Nagios/Monitoring/Plugin/Performance.pm blib/lib/Nagios/Monitoring/Plugin/Performance.pm
cp lib/Nagios/Monitoring/Plugin/ExitResult.pm blib/lib/Nagios/Monitoring/Plugin/ExitResult.pm
Manifying blib/man3/Nagios::Monitoring::Plugin.3pm
Manifying blib/man3/Nagios::Monitoring::Plugin::Config.3pm
Manifying blib/man3/Nagios::Monitoring::Plugin::ExitResult.3pm
Manifying blib/man3/Nagios::Monitoring::Plugin::Functions.3pm
Manifying blib/man3/Nagios::Monitoring::Plugin::Getopt.3pm
Manifying blib/man3/Nagios::Monitoring::Plugin::Performance.3pm
Manifying blib/man3/Nagios::Monitoring::Plugin::Range.3pm
Manifying blib/man3/Nagios::Monitoring::Plugin::Threshold.3pm
NAGIOS/Nagios-Monitoring-Plugin-0.51.tar.gz
/usr/bin/make -- OK
Running make test
PERL_DL_NONLAZY=1 /usr/bin/perl "-MExtUtils::Command::MM" "-MTest::Harness" "-e" "undef *Test::Harness::Switches; test_harness(0, 'blib/lib', 'blib/arch')" t/*.t
t/check_stuff.t .............................. ok
t/Nagios-Monitoring-Plugin-01.t .............. ok
t/Nagios-Monitoring-Plugin-02.t .............. ok
t/Nagios-Monitoring-Plugin-03.t .............. ok
t/Nagios-Monitoring-Plugin-04.t .............. ok
t/Nagios-Monitoring-Plugin-Functions-01.t .... ok
t/Nagios-Monitoring-Plugin-Functions-02.t .... ok
t/Nagios-Monitoring-Plugin-Functions-03.t .... ok
t/Nagios-Monitoring-Plugin-Getopt-01.t ....... ok
t/Nagios-Monitoring-Plugin-Getopt-02.t ....... ok
t/Nagios-Monitoring-Plugin-Getopt-03.t ....... ok
t/Nagios-Monitoring-Plugin-Getopt-04.t ....... ok
t/Nagios-Monitoring-Plugin-Performance-02.t .. ok
t/Nagios-Monitoring-Plugin-Performance.t ..... ok
t/Nagios-Monitoring-Plugin-Range.t ........... ok
t/Nagios-Monitoring-Plugin-Threshold.t ....... ok
All tests successful.
Files=16, Tests=975, 5 wallclock secs ( 0.21 usr 0.08 sys + 3.94 cusr 0.33 csys = 4.56 CPU)
Result: PASS
NAGIOS/Nagios-Monitoring-Plugin-0.51.tar.gz
/usr/bin/make test -- OK
Running make install
Installing /usr/local/share/perl/5.22.1/Nagios/Monitoring/Plugin.pm
Installing /usr/local/share/perl/5.22.1/Nagios/Monitoring/Plugin/Getopt.pm
Installing /usr/local/share/perl/5.22.1/Nagios/Monitoring/Plugin/Threshold.pm
Installing /usr/local/share/perl/5.22.1/Nagios/Monitoring/Plugin/ExitResult.pm
Installing /usr/local/share/perl/5.22.1/Nagios/Monitoring/Plugin/Config.pm
Installing /usr/local/share/perl/5.22.1/Nagios/Monitoring/Plugin/Functions.pm
Installing /usr/local/share/perl/5.22.1/Nagios/Monitoring/Plugin/Range.pm
Installing /usr/local/share/perl/5.22.1/Nagios/Monitoring/Plugin/Performance.pm
Installing /usr/local/man/man3/Nagios::Monitoring::Plugin::Functions.3pm
Installing /usr/local/man/man3/Nagios::Monitoring::Plugin.3pm
Installing /usr/local/man/man3/Nagios::Monitoring::Plugin::Getopt.3pm
Installing /usr/local/man/man3/Nagios::Monitoring::Plugin::ExitResult.3pm
Installing /usr/local/man/man3/Nagios::Monitoring::Plugin::Performance.3pm
Installing /usr/local/man/man3/Nagios::Monitoring::Plugin::Threshold.3pm
Installing /usr/local/man/man3/Nagios::Monitoring::Plugin::Config.3pm
Installing /usr/local/man/man3/Nagios::Monitoring::Plugin::Range.3pm
Appending installation info to /usr/lib/x86_64-linux-gnu/perl/5.22/perllocal.pod
NAGIOS/Nagios-Monitoring-Plugin-0.51.tar.gz
/usr/bin/make install -- OK
root@tgcs017:/usr/local/nagios/libexec# ./check_vmware_api.pl -H MYHOST-8
Can't locate Monitoring/Plugin/Functions.pm in @INC (you may need to install the Monitoring::Plugin::Functions module) (@INC contains: /etc/perl /usr/local/lib/x86_64-linux-gnu/perl/5.22.1 /usr/local/share/perl/5.22.1 /usr/lib/x86_64-linux-gnu/perl5/5.22 /usr/share/perl5 /usr/lib/x86_64-linux-gnu/perl/5.22 /usr/share/perl/5.22 /usr/local/lib/site_perl /usr/lib/x86_64-linux-gnu/perl-base .) at ./check_vmware_api.pl line 39.
BEGIN failed--compilation aborted at ./check_vmware_api.pl line 39.
root@tgcs017:/usr/local/nagios/libexec#



What is missing??????

Thank you

Tom

Update

I ran this cpan yaml

then reran
cpan -i Nagios::Monitoring::Plugin

still get same error on plugin

Re: Check_VMWARE_API Plugin not working

PostPosted: Wed Mar 13, 2019 12:29 pm
by lmiltchev
Make a backup of the check_vmware_api.pl file.
Code: Select all
cp -p check_vmware_api.pl check_vmware_api.pl.backup


Open the check_vmware_api.pl plugin in a text editor, e.g. "vi". Find all instances of Monitoring::Plugin, and replace them with Nagios::Monitoring::Plugin. Save, exit, and test your plugin again. Is it working now?

Re: Check_VMWARE_API Plugin not working

PostPosted: Wed Mar 13, 2019 6:01 pm
by kwhogster
I am unable for some reason to search for the number of occurrences in this file

:s/Monitoring
E496: Pattern not found: Monitoring

I start scrolling thru this lengthy script

I found two made the change still same error.

Must be more

Do you have any idea how many are there